## revpi-modbus 1.2.1

=== debian/changelog ===
revpi-modbus (1.2.1-1+deb13+1) trixie; urgency=medium

  [ Ramiro Gsponer ]
  * fix: enum/int type mismatches in piConfigParser
  * fix: calloc argument order in piModbusMaster

  [ Sven Sager ]
  * feat(deb): Remove transitional renaming packages
  * fix(deb): Do not use aliased-location in install file
  * fix(deb): Update GPL-2+ short text
  * feat(deb): Update debian settings to trixie release

 -- Sven Sager <s.sager@kunbus.com>  Wed, 10 Dec 2025 11:37:45 +0100

revpi-modbus (1.2.0-1+deb12+2) bookworm; urgency=medium

  * feat(deb): Move `firewall-cmd --reload` to postrm script

 -- Sven Sager <s.sager@kunbus.com>  Fri, 01 Aug 2025 12:22:49 +0200

revpi-modbus (1.2.0-1+deb12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * build: Utilize GNU installation directories
  * build: Use pkg-config for services install path
  * chore: Add move to GitLab to README
  * build: Remove implicit C++ dependency from CMake

  [ Nicolai Buchwitz ]
  * fix: Update docs URL in systemd units

  [ Holger Jorra ]
  * chore: Fix reuse for project

  [ Marc Kittner ]
  * feat: Add firewalld zone file

  [ Sven Sager ]
  * feat(deb): Add pkg-config as build dependency

  [ Thomas Böhler ]
  * feat(deb): Add systemd as build dependency
  * chore(deb): sort build dependencies

  [ Sven Sager ]
  * feat(deb): Add firewalld configuration to install file
  * feat(deb): Reload firewalld and remove optional added profile

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 01 Aug 2025 08:10:01 +0200

revpi-modbus (1.1.0-1+revpi12+2) bookworm; urgency=medium

  [ Philipp Rosenberger ]
  * Update debianization to reflect the move to gitlab
  * Switch back to the debian/ namespace

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 05 Mar 2024 12:56:22 +0100

revpi-modbus (1.1.0-1+revpi12+1) bookworm; urgency=medium

  * Update and rebuild package for Bookworm

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Tue, 22 Aug 2023 09:33:43 +0200

revpi-modbus (1.1.0-1+revpi11+3) bullseye; urgency=medium

  * fix: Daemons do not start after upgrade

 -- Sven Sager <s.sager@kunbus.com>  Fri, 05 May 2023 13:09:48 +0200

revpi-modbus (1.1.0-1+revpi11+2) bullseye; urgency=medium

  * Rename Debian packages for modbus

 -- Holger Jorra <h.jorra@kunbus.com>  Wed, 03 May 2023 13:25:09 +0200

revpi-modbus (1.1.0-1+revpi11+1) bullseye; urgency=medium

  * Remove invalid -b (branch name) part of Vcs-Git value
  * Set upstream-branch value in gbp.conf to master
  * Reformat control file (non-functional-change)
  * Update long description of the packages
  * Use dh_installsystemd to install and start/stop unit files for systemd

 -- Sven Sager <s.sager@kunbus.com>  Wed, 19 Apr 2023 07:49:58 +0200

revpi-modbus (1.1.0-1+revpi10+2) buster; urgency=medium

  * debian: Cleanup debianization

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Fri, 13 Jan 2023 16:20:08 +0100

revpi-modbus (1.1.0-1+revpi10+1) buster; urgency=medium

  [ Amar Jadhav ]
  * Localize buffer to Modbus TCP/RTU device instance
  * Optimize buffer size used in Modbus Master action

  [ Holger Jorra ]
  * Refactored several issues found by Cppcheck
  * Applied some suggestions of splint
  * Replaced sprintf for security reasons
  * Fixed remaining warnings found by clang-tidy
  * Enumerated all errors of parsing module
  * Unified log output in parsing module
  * Cleaned up public interface of parsing module
  * Removed misleading return code evaluation
  * Redacted undesired changes of b53f2d6271c
  * Establish test pipeline for static code analysis
  * Added documentation about input and output
  * Assessment for current issues and To-Do
  * Additional information about RS-485
  * Code compatibitlity with GCC 10
  * Satisfy gcc -Wclobbered
  * Satisfy gcc -Wmaybe-uninitialized

  [ Nicolai Buchwitz ]
  * Run actions on github worker and fix pipeline
  * Change license to GPL-2.0

  [ Philipp Rosenberger ]
  * Use unix line endings for all source files
  * Add SPDX headers: SPDX-License-Identifier: GPL-2.0-or-later

  [ Nicolai Buchwitz ]
  * Change license to GPL-2.0

  [ Holger Jorra ]
  * Fixed build with libjson-c 0.12 on buster

 -- Sven Sager <s.sager@kunbus.com>  Wed, 11 Jan 2023 14:01:28 +0100

revpi-modbus (1.0.11-1) buster; urgency=medium

  * Remove dependency for presence of dev-ttyRS485.device for service

 -- Holger Jorra <h.jorra@kunbus.com>  Tue, 19 Apr 2022 15:54:00 +0200

revpi-modbus (1.0.10-1) buster; urgency=medium

  * Move systemd.service files from dist branch to master
  * Make pimodbus services waiting for dev-ttyRS485.device
  * Remove install pathes in debianization

 -- Zhi Han <z.han@kunbus.com>  Wed, 12 Jan 2022 15:06:00 +0100

revpi-modbus (1.0.9-1) buster; urgency=medium

  * debian: add gbp configuration
  * Thread safe Modbus TCP/RTU multi Master instances

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Mon, 13 Sep 2021 16:19:20 +0200

revpi-modbus (1.0.8-2) buster; urgency=medium

  * debian version incremented alongwith submodule piControl 

 -- Amar Jadhav <a.jadhav@kunbus.com>  Mon, 19 Mar 2021 14:00:00 +0100

revpi-modbus (1.0.8-1) buster; urgency=medium

  * unified the version number and changelog for master and slave

 -- Zhi Han <z.han@kunbus.com>  Mon, 08 Feb 2021 13:25:31 +0100

pimodbus-master (1.0.7-1stretch) stable; urgency=medium

  * Restart daemon on failure
  * svn 96

 -- Kunbus <admin@kunbus.de>  Thu, 04 Jun 2020 12:00:00 +0200

pimodbus-master (1.0.6-1stretch) stable; urgency=medium

  * handle different behaviour of libmodbus under stretch
  * svn 1076

 -- Kunbus <admin@kunbus.de>  Wed, 09 May 2018 15:00:00 +0100

pimodbus-master (1.0.5-1stretch) stable; urgency=medium

  * some changes in rtu master only:
  * change calculation of minimal time between modbus actions
  * reset action status bytes more often
  * add cleanup function
  * svn 1059

 -- Kunbus <admin@kunbus.de>  Thu, 19 Apr 2018 15:33:00 +0100

pimodbus-master (1.0.4-1stretch) stable; urgency=medium


