=== debian/control ===
Source: revpi-modbus
Section: electronics
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/revpi-modbus
Vcs-Git: https://gitlab.com/revolutionpi/revpi-modbus.git -b debian/trixie
Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libjson-c-dev,
  libmodbus-dev (>= 3.1.6),
  pkgconf,
  systemd-dev,
Standards-Version: 4.7.2

Package: revpi-modbus-client
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends}
Replaces: pimodbus-master (<< 1.1.0-1+revpi11+2)
Breaks: pimodbus-master (<< 1.1.0-1+revpi11+2)
Description: Revolution Pi Modbus client
 Connect to ModbusRTU or ModbusTCP servers (formerly slaves) from
 this RevPi device.
 Revolution Pi is a set of IoT products based on the
 Raspberry Pi and geared towards industrial usage.

Package: revpi-modbus-server
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends}
Replaces: pimodbus-slave (<< 1.1.0-1+revpi11+2)
Breaks: pimodbus-slave (<< 1.1.0-1+revpi11+2)
Description: Revolution Pi Modbus server
 Use the RevPi device as a ModbusRTU or ModbusTCP server (formerly
 slave). This will allow ModbusRTU or ModbusTCP clients (formerly
 masters) to connect to this RevPi device.
 Revolution Pi is a set of IoT products based on the Raspberry Pi and
 geared towards industrial usage.
